## dzl-shortcut-label dzl-shortcut-label |

## Functions

GtkWidget * | dzl_shortcut_label_new ()
gchar * | dzl_shortcut_label_get_accelerator ()
void | dzl_shortcut_label_set_accelerator ()
void | dzl_shortcut_label_set_chord ()
const DzlShortcutChord * | dzl_shortcut_label_get_chord ()

## Properties

gchar * | accelerator | Read / Write
DzlShortcutChord * | chord | Read / Write

## Types and Values

#define | DZL_TYPE_SHORTCUT_LABEL
| DzlShortcutLabel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── DzlShortcutLabel

## Implemented Interfaces

DzlShortcutLabel implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### dzl_shortcut_label_new ()

    GtkWidget *
    dzl_shortcut_label_new (void);

### dzl_shortcut_label_get_accelerator ()

    gchar *
    dzl_shortcut_label_get_accelerator (DzlShortcutLabel *self);

### dzl_shortcut_label_set_accelerator ()

    void
    dzl_shortcut_label_set_accelerator (DzlShortcutLabel *self,
                                        const gchar *accelerator);

### dzl_shortcut_label_set_chord ()

    void
    dzl_shortcut_label_set_chord (DzlShortcutLabel *self,
                                  const DzlShortcutChord *chord);

### dzl_shortcut_label_get_chord ()

    const DzlShortcutChord *
    dzl_shortcut_label_get_chord (DzlShortcutLabel *self);

Gets the chord for the label, or `NULL`.

#### Parameters

self | a DzlShortcutLabel |

#### Returns

A DzlShortcutChord or `NULL`.

[transfer none][nullable]

## Types and Values

### DZL_TYPE_SHORTCUT_LABEL

    #define DZL_TYPE_SHORTCUT_LABEL (dzl_shortcut_label_get_type())

### DzlShortcutLabel

    typedef struct _DzlShortcutLabel DzlShortcutLabel;

## Property Details

### The `“accelerator”` property

      “accelerator”              gchar *

The accelerator for the label.

Flags: Read / Write

Default value: NULL

### The `“chord”` property

      “chord”                    DzlShortcutChord *

The chord for the label.

Flags: Read / Write